GET /v2/cursus_users/graph(/on/:field(/by/:interval))
Return grouped temporal data on cursus users
Count all occurences on a particular field (default on created_at) by a particular period, starting from the first occurence to now.
settings Params
| Param name | Description |
|---|---|
| field |
optional
. Must be one of: created_at, updated_at, begin_at, end_at.
The date field to graph on. Default to |
| interval |
optional
. Must be one of: day, week, month, quarter, year, hour_of_day, day_of_week, day_of_month, month_of_year.
The interval to graph by. Default to |
| sort |
optional
. Must be one of: id, cursus_id, user_id, created_at, updated_at, end_at, begin_at, has_coalition, blackholed_at, level.
The sort field. Sorted by created_at desc, id desc by default. MoreExample:To sort on cursus users on the fields blackholed_at on a descending order and level on a ascending order: ...&sort=-blackholed_at,level |
| filter |
optional
. Must be one of: id, cursus_id, user_id, created_at, updated_at, end_at, begin_at, has_coalition, blackholed_at, level, active, campus_id, end, future, blackholed.
Filtering on one or more fields MoreExample:
To filter on cursus users with the
...&filter[id]=a_value,another_value Filterable fields:
|
| range |
optional
. Must be one of: id, cursus_id, user_id, created_at, updated_at, end_at, begin_at, has_coalition, blackholed_at, level.
Select on a particular range MoreExample:
To range on cursus users with the
...&range[level]=min_value,max_value Rangeable fields:
|
Examples
GET /v2/cursus_users/graph/on/created_at/by/day
200
{
"2017-11-22": 126
}
curl -H "Authorization: Bearer YOUR_ACCESS_TOKEN" "https://api.intra.42.fr/v2/cursus_users/graph/on/created_at/by/day"
{
"2017-11-22": 126
}
require "oauth2"
UID = "Your application uid"
SECRET = "Your application secret"
client = OAuth2::Client.new(UID, SECRET, site: "https://api.intra.42.fr")
token = client.client_credentials.get_token
response = token.get("/v2/cursus_users/graph/on/created_at/by/day")
response.status
# => 200
response.parsed
# => {"2017-11-22"=>126}